
TYPO3.Flow - Feature # 1511

Status: Resolved Priority: Must have
Author: Robert Lemke Category: MVC
Created: 2008-09-14 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Create a "Not Found" Controller
Description

Currently a "No such controller" exception is thrown if a matching controller is not found. This exception should either be catched or
removed and transformed into a redirection to a 404 Not Found controller.

There should be a default 404 controller and the ability to easily define a custom view or whole controller.

Associated revisions
Revision 0a852562 - 2009-02-25 18:02 - Karsten Dambekalns
FLOW3:
    -  added (simple) NotFoundController, refs #1511
    -  some tiny cleanup

Revision 6277226b - 2009-03-03 12:41 - Robert Lemke

    -  FLOW3: (MVC) Moved the logic for the NotFound mechanism from the dispatcher into the request.
    -  FLOW3: (MVC) Wrote test case for the NotFoundController fallback
    -  FLOW3: (MVC) Improved the NotFoundView a bit
    -  FLOW3: (MVC) Made the object name of the NotFoundController configurable in the FLOW3 settings.

Resolves #1511.

History
#1 - 2008-09-14 19:25 - Robert Lemke
- Category set to MVC
- Assigned To set to Robert Lemke

#2 - 2009-02-25 18:02 - Karsten Dambekalns
- % Done changed from 0 to 50

#3 - 2009-03-03 13:00 - Robert Lemke
- Status changed from New to Resolved
- % Done changed from 50 to 100

Applied in changeset r1961.
